import React from "react";
import { BaseFlowStep } from "../../Steps/BaseFlowStep";
import { FlowStepSequence } from "../../Structure/FlowStepSequence";
import { FlowEditContext } from "../../FlowEditContext";
interface IRegularStepHost {
    sequence: FlowStepSequence;
    editContext: FlowEditContext;
    index: number;
    step: BaseFlowStep;
}
export declare class RegularStepHost extends React.Component<IRegularStepHost, {
    isDragging: boolean;
    isCollapsed: boolean;
    isDroppingOver: boolean;
}> {
    element: HTMLDivElement | null;
    componentDidUpdate(): void;
    render(): JSX.Element;
    private renderStep;
    private renderStepSummary;
}
export declare const StepSurround: import("styled-components").StyledComponent<"div", any, {
    selected: boolean;
    invalid: boolean;
    hidden?: boolean | undefined;
}, never>;
export declare const StepConnector: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepConnectSummaryDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepIconDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepDescriptionIconDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export {};
